Subject: Re: remapping Cygwin 'bash' readline functions to PC keys
From: Bruce Dawson <[email-masked]>
To: "Lee D. Rothstein" <[email-masked]>
Cc: john mapoles <[email-masked]>, [email-masked]
Date: 20 Feb 2003 23:02:36 -0500

I may be missing part of the conversation here, but
so far as I know, rxvt is only useful if you're running
a X server. (I don't have a cygwin system handy
to be sure.) Lee: I don't think this applies to your
problem.

I may have put people off-track with my last message on
this thread - because my comments only applies to users 
running remotely or through a terminal server, and not 
to cygwin systems.

--Bruce

On Thu, 2003-02-20 at 18:57, Lee D. Rothstein wrote:
> re: using 'rxvt' to be able to discriminate
>     between <C-left-arrow> ^ <left-arrow>, etc. in
>     Cygwin 'bash' 'readline'
> 
> John Mapoles, et al.,
> 
> Are you saying that I should try using use 'rxvt'
> in a console window as the interface to *Cygwin*?
> 
> Remember, I'm not interfacing to another host when
> I run 'bash', in this instance. 'bash' is *not*
> remote.  It's *not* running on *u*x. It's running
> on the local W2K or WXP machine running Cygwin.
> 
> (BTW, I'm sorry if you knew this, but I've gotten
> such strange responses from some folks to this
> line of queries that I can't help but wonder how
> many really understand what I'm asking.)
> 
> Can I only do that if I run the 'rxvt' server
> (daemon) too?
> 
> And, if so, would I still be able to launch
> windowed (GUI) Windows applications from a 'bash'
> command prompt?
> 
> If this would actually work, what percentage of my
> MPU, am I throwing down a rat hole? ;-)
> 
> If this were to work, wouldn't that mean that
> 'rxvt' server or client was looking at the scan
> codes?  So 'rxvt' server operates at a lower
> level than the console handler?
> 
> Or, is all of this a problem with the
> implementation of the terminal (console) handler
> (or, terminfo translator) in Cygwin?
> 
> Or, am I more confused than I thought I was?
> 
> BTW, running 'ssh' in a Cygwin window to a Linux
> machine, does not fix the control/naked arrow key
> discrimination problem and resetting the 'TERM'
> environment variable on Cygwin to anything other
> than 'Cygwin' generates errors in applications
> like 'man' that use screen character cell control
> and doesn't fix the problem for my terminal
> window for the remote machine (I think).
> 
> See below.
> 
> Thanks,
> 
> Lee
> 
> At 2003-02-20 02:03 PM -0800, john mapoles wrote:
> >Lee,
> 
> >This is very similar to a problem that I've had in
> >Vim.  I build a library of maps from the Vim actions
> >to simpler actions, i.e. I like to map F4 to delete
> >line ( F4 is usually ^[[[D on a windows box ).  On
> >most UNIX platforms things like right-arrow and
> >control right-error are different.  As you pointed out
> >this is not so on a windows box.  I've just begun to
> >play with rxvt.  This has the feel of a UNIX xterm but
> >is also similar to a command window.  But, rxvt uses a
> >more robust map.  On my machine I get:
> >    -->    ^[[C
> >   ^-->    ^[Oc
> >rxvt can probably re-map any key by the correct choice
> >of termcaps (something I do not know how to do).  Try
> >rxvt.
> 
> BTW, my guess is the problem is not the map. but
> whether some level of console handler looks at
> the character output from the keyboard rather than
> the scan codes, and whether the Cygwin DLL writers
> want to go down to the right level?
> 
> At any rate what is the local 'terminfo' database
> on Cygwin for? ssh in? rxvt in? Incoming 'telnet'
> traffic?
> 
> >jm